# coding: utf-8

"""
    VMware Aria Automation Pipelines APIs

    Aria Automation Pipelines is a continuous integration and continuous delivery (CICD) tool that you use to build Pipelines that model the software release process in your DevOps lifecycle. By creating Pipelines, you build the code infrastructure that delivers your software rapidly and continuously.  This page describes the RESTful APIs for Aria Automation Pipelines. The APIs facilitate CRUD operations on the various resources and entities used throughout Aria Automation Pipelines (Pipelines, Endpoints, Variables, etc.) and allow operations on them (executing a Pipeline, validating an Endpoint connection, etc.).  The APIs that list collections of resources  also support OData like implementation. Below query params can be used across Aria Automation Pipelines entities.  Example:  1. `$orderby` - returns a result with the rows being sorted by the values of provided attribute.      ```/codestream/api/endpoints?$orderby=name%20desc```  2. `$top`, `$skip` - `$top` returns the requested number of resources. Used with `$skip`, the client can skip a given number of resources.      ```/codestream/api/endpoints?$expand=true&$top=10&$skip=2```  3. `page` and `$size` - page used in conjunction with `$size` helps in pagination of resources.      ```/codestream/api/endpoints?$expand=true&page=0&$size=5```  4. `$filter` - `$filter` returns a subset of resources that satisfy the given predicate expression.      ```     /codestream/api/endpoints?$filter=startswith(name, 'ABC')     /codestream/api/endpoints?$filter=toupper(name) eq 'ABCD-JENKINS'     /codestream/api/endpoints?$filter=substringof(%27bc%27,tolower(name))     /codestream/api/endpoints?$filter=name eq 'ABCD' and project eq 'demo'   # noqa: E501

    OpenAPI spec version: 2019-10-17
    
    Generated by: https://github.com/swagger-api/swagger-codegen.git
"""

import pprint
import re  # noqa: F401

import six

class ExecutionRequest1(object):
    """NOTE: This class is auto generated by the swagger code generator program.

    Do not edit the class manually.
    """
    """
    Attributes:
      swagger_types (dict): The key is attribute name
                            and the value is attribute type.
      attribute_map (dict): The key is attribute name
                            and the value is json key in definition.
    """
    swagger_types = {
        'comments': 'str',
        'execution_id': 'str',
        'execution_link': 'str',
        'input': 'object',
        'project_id': 'str',
        'project_name': 'str',
        'source': 'str',
        'tags': 'list[str]'
    }

    attribute_map = {
        'comments': 'comments',
        'execution_id': 'executionId',
        'execution_link': 'executionLink',
        'input': 'input',
        'project_id': 'projectId',
        'project_name': 'projectName',
        'source': 'source',
        'tags': 'tags'
    }

    def __init__(self, comments=None, execution_id=None, execution_link=None, input=None, project_id=None, project_name=None, source=None, tags=None):  # noqa: E501
        """ExecutionRequest1 - a model defined in Swagger"""  # noqa: E501
        self._comments = None
        self._execution_id = None
        self._execution_link = None
        self._input = None
        self._project_id = None
        self._project_name = None
        self._source = None
        self._tags = None
        self.discriminator = None
        if comments is not None:
            self.comments = comments
        if execution_id is not None:
            self.execution_id = execution_id
        if execution_link is not None:
            self.execution_link = execution_link
        if input is not None:
            self.input = input
        if project_id is not None:
            self.project_id = project_id
        if project_name is not None:
            self.project_name = project_name
        if source is not None:
            self.source = source
        if tags is not None:
            self.tags = tags

    @property
    def comments(self):
        """Gets the comments of this ExecutionRequest1.  # noqa: E501


        :return: The comments of this ExecutionRequest1.  # noqa: E501
        :rtype: str
        """
        return self._comments

    @comments.setter
    def comments(self, comments):
        """Sets the comments of this ExecutionRequest1.


        :param comments: The comments of this ExecutionRequest1.  # noqa: E501
        :type: str
        """

        self._comments = comments

    @property
    def execution_id(self):
        """Gets the execution_id of this ExecutionRequest1.  # noqa: E501


        :return: The execution_id of this ExecutionRequest1.  # noqa: E501
        :rtype: str
        """
        return self._execution_id

    @execution_id.setter
    def execution_id(self, execution_id):
        """Sets the execution_id of this ExecutionRequest1.


        :param execution_id: The execution_id of this ExecutionRequest1.  # noqa: E501
        :type: str
        """

        self._execution_id = execution_id

    @property
    def execution_link(self):
        """Gets the execution_link of this ExecutionRequest1.  # noqa: E501


        :return: The execution_link of this ExecutionRequest1.  # noqa: E501
        :rtype: str
        """
        return self._execution_link

    @execution_link.setter
    def execution_link(self, execution_link):
        """Sets the execution_link of this ExecutionRequest1.


        :param execution_link: The execution_link of this ExecutionRequest1.  # noqa: E501
        :type: str
        """

        self._execution_link = execution_link

    @property
    def input(self):
        """Gets the input of this ExecutionRequest1.  # noqa: E501


        :return: The input of this ExecutionRequest1.  # noqa: E501
        :rtype: object
        """
        return self._input

    @input.setter
    def input(self, input):
        """Sets the input of this ExecutionRequest1.


        :param input: The input of this ExecutionRequest1.  # noqa: E501
        :type: object
        """

        self._input = input

    @property
    def project_id(self):
        """Gets the project_id of this ExecutionRequest1.  # noqa: E501


        :return: The project_id of this ExecutionRequest1.  # noqa: E501
        :rtype: str
        """
        return self._project_id

    @project_id.setter
    def project_id(self, project_id):
        """Sets the project_id of this ExecutionRequest1.


        :param project_id: The project_id of this ExecutionRequest1.  # noqa: E501
        :type: str
        """

        self._project_id = project_id

    @property
    def project_name(self):
        """Gets the project_name of this ExecutionRequest1.  # noqa: E501


        :return: The project_name of this ExecutionRequest1.  # noqa: E501
        :rtype: str
        """
        return self._project_name

    @project_name.setter
    def project_name(self, project_name):
        """Sets the project_name of this ExecutionRequest1.


        :param project_name: The project_name of this ExecutionRequest1.  # noqa: E501
        :type: str
        """

        self._project_name = project_name

    @property
    def source(self):
        """Gets the source of this ExecutionRequest1.  # noqa: E501


        :return: The source of this ExecutionRequest1.  # noqa: E501
        :rtype: str
        """
        return self._source

    @source.setter
    def source(self, source):
        """Sets the source of this ExecutionRequest1.


        :param source: The source of this ExecutionRequest1.  # noqa: E501
        :type: str
        """

        self._source = source

    @property
    def tags(self):
        """Gets the tags of this ExecutionRequest1.  # noqa: E501


        :return: The tags of this ExecutionRequest1.  # noqa: E501
        :rtype: list[str]
        """
        return self._tags

    @tags.setter
    def tags(self, tags):
        """Sets the tags of this ExecutionRequest1.


        :param tags: The tags of this ExecutionRequest1.  # noqa: E501
        :type: list[str]
        """

        self._tags = tags

    def to_dict(self):
        """Returns the model properties as a dict"""
        result = {}

        for attr, _ in six.iteritems(self.swagger_types):
            value = getattr(self, attr)
            if isinstance(value, list):
                result[attr] = list(map(
                    lambda x: x.to_dict() if hasattr(x, "to_dict") else x,
                    value
                ))
            elif hasattr(value, "to_dict"):
                result[attr] = value.to_dict()
            elif isinstance(value, dict):
                result[attr] = dict(map(
                    lambda item: (item[0], item[1].to_dict())
                    if hasattr(item[1], "to_dict") else item,
                    value.items()
                ))
            else:
                result[attr] = value
        if issubclass(ExecutionRequest1, dict):
            for key, value in self.items():
                result[key] = value

        return result

    def to_str(self):
        """Returns the string representation of the model"""
        return pprint.pformat(self.to_dict())

    def __repr__(self):
        """For `print` and `pprint`"""
        return self.to_str()

    def __eq__(self, other):
        """Returns true if both objects are equal"""
        if not isinstance(other, ExecutionRequest1):
            return False

        return self.__dict__ == other.__dict__

    def __ne__(self, other):
        """Returns true if both objects are not equal"""
        return not self == other
